import request from '@/utils/request'

// 获取客户档案
export function getCustomer(parameter) {
  return request({
    url: '/api/customer',
    method: 'get',
    params: parameter
  })
}

// 获取客户档案详情
export function getCustomerDetails(parameter) {
  return request({
    url: '/api/customer/' + parameter,
    method: 'get',
  })
}

// 添加客户档案
export function addCustomer(parameter) {
  return request({
    url: '/api/customer',
    method: 'post',
    data: parameter
  })
}

// 编辑客户档案
export function putCustomer(parameter) {
  return request({
    url: '/api/customer',
    method: 'put',
    data: parameter
  })
}

// 删除客户档案
export function delCustomer(parameter) {
  return request({
    url: '/api/customer',
    method: 'delete',
    data: parameter
  })
}
